<template>
    <div>
        <Navbar idSideMenu="mainsidebar">
            <template v-slot:navbarMenuIcon>
                <router-link to="/">
                    <b-icon icon="arrow-left" style="width: 35px; height: 35px;"></b-icon>
                </router-link>
            </template>
        </Navbar>
        <b-table hover :items="reclusos"></b-table>
    </div>
</template>
<script>
import axios from 'axios'
import Navbar from '@/components/utils/navbar.vue'
export default {
    name:'listReclusos',
    components:{
        Navbar,
    },
    data(){
        return {
            reclusos:[]
        }
    },
    methods:{
        obtenerReclusos: function(response){
            response.data.forEach(data => {
                this.reclusos.push({
                    nombre: data.persona.nombre,
                    apellido: data.persona.apellido,
                    cedula: data.persona.cedula,
                    telefono_familiar: data.recluso.telefono_familiar,
                    fecha_ingreso: data.fecha_ingreso
                })
            });
        }
    },
    mounted: function() {
        this.$nextTick(function() {
            let $vm = this;
            axios.get('https://canamanager-api.herokuapp.com/historial-persona-reclusos/')
            .then(function(response){
                $vm.obtenerReclusos(response)
                console.log($vm.reclusos);
            })
        })
    },
}
</script>